Subject: bug#77709: Restoring the Hurd on core-packages-team branch

From: [email-masked]
Date: Wed, 7 May 2025 19:18:28 +0200 (CEST)

I asked about the bison failures on #hurd and ZhaoM tried to rebuild bison on debian with glibc 2.41 and encountered similar segfaults in the same tests.

I only had one additional failure than them that also was not failing when I initially checked this. After retrying on a childhurd from master the test was skipped because of a lack of english utf8 locale. On the childhurd running on core-packages-team the locale seems to be available, the test runs and bison segfaults.
I guess it is great that guix forces one to deal with such things immediately and not when one decides to rebuild a program but it massively increases the scope of updating a core package.

May 5, 2025, 20:10 by [email-masked]:

> I dont have the previous logs anymore but iirc there were more failed tests previously. As this test suite takes forever with a single core (phase `check' succeeded after 3722.8 seconds) I did not bother to check again previously.
>
>
This is probably because of the same locale issue as I have problems with a childhurd built from master but no such things (apart from flaky tests) on a childhurd from core-packages-team.
The stderr is full of "sh: warning: setlocale: LC_ALL: cannot change locale (C.UTF-8)" and the automake test suite seems really picky about having no messages on stderr